<?php

namespace Magetop\Agency\Plugin\Sales\Block\Order;

use Magento\Sales\Block\Order\History as HistoryBlock;

class History
{
    public function aroundGetReorderUrl(HistoryBlock $subject, \Closure $proceed, $order)
    {
        return $subject->getUrl('assignproduct/order/reorder', ['order_id' => $order->getId()]);
    }
}
